# AttachDisks

## 1. 接口描述

本接口(AttachDisks)用于云硬盘挂载到实例上。

{% hint style="info" %}
**注意事项**

* 单次最多可挂载10块云硬盘。
* 挂载云硬盘的数量不能超过实例可用的最大数量，具体数量详见配额。
* 实例与云硬盘的所在区域必须一致。
* 实例必须处于可用状态（创建中、初始化中等状态均不属于可用状态）。
* 云硬盘必须处于未挂载状态（`AVAILABLE`)。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型              | 描述            |
| ---------- | -- | --------------- | ------------- |
| diskIds    | 是  | Array of String | 需要挂载的云硬盘ID列表。 |
| instanceId | 是  | String          | 被挂载的实例ID。     |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 挂载云硬盘到云主机实例。P**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AttachDisks
<Common Request Params>

Request：
{
  "diskIds": [
    "your-disk-id"
  ],
  "instanceId": "your-instance-id"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                            | 说明               |
| ------- | ---------------------------------------------- | ---------------- |
| 400     | INVALID\_DISK\_AND\_INSTANCE\_ZONE\_MISMATCHED | 实例和云硬盘的可用区不一致。   |
| 404     | INVALID\_DISK\_NOT\_FOUND                      | 云盘不存在。           |
| 400     | INVALID\_DISK\_NOT\_PORTABLE                   | 云硬盘是系统盘，不支持该操作。  |
| 400     | LIMIT\_EXCEEDED\_INSTANCE\_CAN\_ATTACH         | 超出实例可挂载云硬盘的最大数量。 |
| 400     | UNSUPPORTED\_OPERATION\_DISK\_ATTACHED         | 云盘已经绑定，操作失败。     |
| 400     | UNSUPPORTED\_OPERATION\_DISK\_STATUS           | 云盘状态不允许操作。       |
| 400     | UNSUPPORTED\_OPERATION\_INSTANCE\_STATUS       | 实例状态不支持此操作。      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/attachdisks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
